## LassoInteractionProfileService LassoInteractionProfileService — A service to request user interaction from a principal |

## Stability Level

Unstable, unless otherwise indicated

## Functions

LassoInteractionProfileService * | lasso_interaction_profile_service_new ()
lasso_error_t | lasso_interaction_profile_service_init_request ()
lasso_error_t | lasso_interaction_profile_service_process_request_msg ()
lasso_error_t | lasso_interaction_profile_service_process_response_msg ()

## Types and Values

struct | LassoInteractionProfileService

## Description

## Functions

### lasso_interaction_profile_service_new ()

    LassoInteractionProfileService *
    lasso_interaction_profile_service_new (LassoServer *server);

### lasso_interaction_profile_service_init_request ()

    lasso_error_t
    lasso_interaction_profile_service_init_request
                                   (LassoInteractionProfileService *service);

### lasso_interaction_profile_service_process_request_msg ()

    lasso_error_t
    lasso_interaction_profile_service_process_request_msg
                                   (LassoInteractionProfileService *service,
                                    const gchar *request_msg);

### lasso_interaction_profile_service_process_response_msg ()

    lasso_error_t
    lasso_interaction_profile_service_process_response_msg
                                   (LassoInteractionProfileService *service,
                                    const gchar *response_msg);

## Types and Values

### struct LassoInteractionProfileService

    struct LassoInteractionProfileService {
    	LassoWsfProfile parent;
    };